//
// Main.java: Class file for WO Component 'Main'
// Project HelloWorld
//
// Created by john on Thu Jul 15 2004
//

import com.webobjects.foundation.*;
import com.webobjects.appserver.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eoaccess.*;

public class Main extends WOComponent {
    protected String qualifier;
    protected String yourName;

    /** @TypeInfo com.webobjects.eocontrol.EOEnterpriseObject */
    public NSArray results;
    public EOEnterpriseObject movie;

    public Main(WOContext context) {
        super(context);
    }

    public WOComponent helloForYou()
    {
        return pageWithName("HelloPage");
		//return null;
    }
	

    public String qualifier()
    {
        return qualifier;
    }
    public void setQualifier(String newQualifier)
    {
        qualifier = newQualifier;
    }

    public String yourName()
    {
        return yourName;
    }
    public void setYourName(String newYourName)
    {
        yourName = newYourName;
    }

    public WOComponent search()
    {
        return null;
    }

}
